nvme_mi_aem_get_next_event(2)

NAME
nvme_mi_aem_get_next_event - Get details for the next event to parse

SYNOPSIS
struct nvme_mi_event * nvme_mi_aem_get_next_event (nvme_mi_ep_t ep );

ARGUMENTS

ep  The endpoint with the event

DESCRIPTION
When inside a aem_handler, call this and a returned struct pointer will provide details of event information. Will return NULL when end of parsing is occurred. spec_info and vend_spec_info must be copied to persist as they will not be valid after the handler_next_action has returned.

RETURN
Pointer no next nvme_mi_event or NULL if this is the last one